declare const _default: import("vue/types/v3-define-component").DefineComponent<{
    type: {
        type: StringConstructor;
        default: () => "error";
        validator(value: string): boolean;
    };
}, import("vue").Data, import("vue").Data, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
    type: {
        type: StringConstructor;
        default: () => "error";
        validator(value: string): boolean;
    };
}>>, {
    type: string;
}>;
export default _default;
